export declare const parseNormalTraceRequestHeader: (headers: HeadersInit | undefined) => string;
export declare class TraceRequestHeader {
    private traceType;
    private traceId;
    private ignoreUrls;
    private urls;
    private url;
    constructor(traceType: TraceType, ignoreUrls: Array<string | RegExp>, urls?: Array<string | RegExp> | null);
    generate(url: string, headers?: any): {
        name: TraceType;
        value: string;
    } | undefined;
    private createTraceparent;
    private createB3;
    private createSw8;
    private createSentryTrace;
    private isUrlIgnored;
    private isUrlInTraceUrls;
    private urlMatches;
}
export declare type TraceType = 'traceparent' | 'b3' | 'sw8' | 'sentry-trace';
export declare const isTraceHeader: (key: string) => boolean;
